using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Enum
{
    /// <summary>
    /// 系统错误码
    /// </summary>
    [ErrorCodeType]
    [Description("系统错误码")]
    public enum ErrorCodeEnum
    {
        /// <summary>
        /// 用户没有注册
        /// </summary>
        [ErrorCodeItemMetadata("用户没有注册")]
        Code1000,

        /// <summary>
        /// 操作错误
        /// </summary>
        [ErrorCodeItemMetadata("操作错误")]
        Code1001,

        /// <summary>
        /// 重复添加
        /// </summary>
        [ErrorCodeItemMetadata("重复添加")]
        Code1002,

        /// <summary>
        /// 操作数据不存在
        /// </summary>
        [ErrorCodeItemMetadata("操作数据不存在")]
        Code1003,

        /// <summary>
        /// key不正确
        /// </summary>
        [ErrorCodeItemMetadata("key不正确")]
        Code1004,

        /// <summary>
        /// 签名错误
        /// </summary>
        [ErrorCodeItemMetadata("签名错误")]
        Code1005,

        /// <summary>
        /// 签名错误
        /// </summary>
        [ErrorCodeItemMetadata("签名过期")]
        Code1006,
        /// <summary>
        /// 系统异常
        /// </summary>
        [ErrorCodeItemMetadata("系统异常")]
        Code1007,
        /// <summary>
        /// 商品不存在
        /// </summary>
        [ErrorCodeItemMetadata("商品不存在")]
        Code1008,
        /// <summary>
        /// 场景id不能为空
        /// </summary>
        [ErrorCodeItemMetadata("场景id不能为空")]
        Code1009,
        /// <summary>
        /// 产品不存在
        /// </summary>
        [ErrorCodeItemMetadata("产品不存在")]
        Code10010,
        /// <summary>
        /// 产品版本不存在
        /// </summary>
        [ErrorCodeItemMetadata("产品版本不存在")]
        Code10011,
        /// <summary>
        /// 设备不存在
        /// </summary>
        [ErrorCodeItemMetadata("设备不存在")]
        Code10012,
        /// <summary>
        /// 产品标签不存在
        /// </summary>
        [ErrorCodeItemMetadata("产品标签不存在")]
        Code10013,


        /// <summary>
        /// 授权过期
        /// </summary>
        [ErrorCodeItemMetadata("授权过期")]
        Code10014,
        /// <summary>
        /// 配方不存在
        /// </summary>
        [ErrorCodeItemMetadata("配方不存在")]
        Code10015,

        /// <summary>
        /// 下发错误
        /// </summary>
        [ErrorCodeItemMetadata("操作成功,下发错误")]
        Code10016,

        /// <summary>
        /// 名称或编码重复
        /// </summary>
        [ErrorCodeItemMetadata("名称或编码重复")]
        Code10017,
        /// <summary>
        /// 模板名称不能重复
        /// </summary>
        [ErrorCodeItemMetadata("模板名称不能重复")]
        Code10018,
        /// <summary>
        /// 设备id不能为空
        /// </summary>
        [ErrorCodeItemMetadata("设备id不能为空")]
        Code10019,
        /// <summary>
        /// 模板名称不能为空
        /// </summary>
        [ErrorCodeItemMetadata("模板名称不能为空")]
        Code10020,
        /// <summary>
        /// 获取场景数据失败
        /// </summary>
        [ErrorCodeItemMetadata("获取场景数据失败")]
        Code10021,
        /// <summary>
        /// 场景不存在
        /// </summary>
        [ErrorCodeItemMetadata("场景不存在")]
        Code10022,
    }
}
